ClickHouse/docker/test/style/run.sh

30 lines
1.4 KiB
Bash
Raw Normal View History

2021-02-26 11:43:58 +00:00
#!/bin/bash
2021-09-15 17:35:15 +00:00
# yaml check is not the best one
2021-02-26 12:58:13 +00:00
cd /ClickHouse/utils/check-style || echo -e "failure\tRepo not found" > /test_output/check_status.tsv
2022-02-03 13:06:21 +00:00
echo "Check duplicates" | ts
2022-12-01 13:06:17 +00:00
./check-duplicate-includes.sh |& tee /test_output/duplicate_includes_output.txt
2022-02-03 13:06:21 +00:00
echo "Check style" | ts
2021-02-26 11:43:58 +00:00
./check-style -n |& tee /test_output/style_output.txt
2022-03-21 11:14:41 +00:00
echo "Check python formatting with black" | ts
./check-black -n |& tee /test_output/black_output.txt
2022-11-29 14:48:52 +00:00
echo "Check python type hinting with mypy" | ts
2022-12-19 16:29:54 +00:00
./check-mypy -n |& tee /test_output/mypy_output.txt
2022-02-03 13:06:21 +00:00
echo "Check typos" | ts
2021-02-26 11:43:58 +00:00
./check-typos |& tee /test_output/typos_output.txt
2022-06-02 12:18:56 +00:00
echo "Check docs spelling" | ts
2022-12-01 13:06:17 +00:00
./check-doc-aspell |& tee /test_output/docs_spelling_output.txt
2022-02-03 13:06:21 +00:00
echo "Check whitespaces" | ts
2021-02-26 11:43:58 +00:00
./check-whitespaces -n |& tee /test_output/whitespaces_output.txt
2022-03-07 16:38:33 +00:00
echo "Check workflows" | ts
./check-workflows |& tee /test_output/workflows_output.txt
2022-12-19 16:29:54 +00:00
echo "Check submodules" | ts
./check-submodules |& tee /test_output/submodules_output.txt
2022-02-03 13:06:21 +00:00
echo "Check shell scripts with shellcheck" | ts
2021-02-26 11:43:58 +00:00
./shellcheck-run.sh |& tee /test_output/shellcheck_output.txt
2021-02-26 12:58:13 +00:00
/process_style_check_result.py || echo -e "failure\tCannot parse results" > /test_output/check_status.tsv
echo "Check help for changelog generator works" | ts
cd ../changelog || exit 1
./changelog.py -h 2>/dev/null 1>&2